org.apache.geode.cache

## Class CacheRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CacheSerializableRunnable.CacheSerializableRunnableException, CacheXmlException, CancelException, CqClosedException, DiskAccessException, EntryDestroyedException, FailedSynchronizationException, IndexMaintenanceException, JdbcConnectorException, OperationAbortedException, PartitionedRegionDistributionException, PartitionedRegionStorageException, QueryExecutionLowMemoryException, QueryExecutionTimeoutException, RegionDestroyedException, RegionNotFoundException, ResourceException, RoleException, StatisticsDisabledException, SynchronizationCommitConflictException

      public abstract class CacheRuntimeException
      extends GemFireException

  A generic runtime exception that indicates a cache error has occurred. All the other runtime cache exceptions are the subclass of this class. This class is abstract so only subclasses can be instantiated
  Since:
    GemFire 3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheRuntimeException()` Creates a new instance of `CacheRuntimeException` without detail message.
    `CacheRuntimeException(java.lang.String msg)` Constructs an instance of `CacheRuntimeException` with the specified detail message.
    `CacheRuntimeException(java.lang.String msg, java.lang.Throwable cause)` Constructs an instance of `CacheRuntimeException` with the specified detail message and cause.
    `CacheRuntimeException(java.lang.Throwable cause)` Constructs an instance of `CacheRuntimeException` with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheRuntimeException

          public CacheRuntimeException()

      Creates a new instance of `CacheRuntimeException` without detail message.

    - #### CacheRuntimeException

          public CacheRuntimeException(java.lang.String msg)

      Constructs an instance of `CacheRuntimeException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### CacheRuntimeException

          public CacheRuntimeException(java.lang.String msg,
                                       java.lang.Throwable cause)

      Constructs an instance of `CacheRuntimeException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### CacheRuntimeException

          public CacheRuntimeException(java.lang.Throwable cause)

      Constructs an instance of `CacheRuntimeException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`